Summary:          John the Ripper password cracker
Name:             john
Version:          1.7.9
Release:          2
URL:              http://www.openwall.com/john
License:          GPLv2
Group:            Applications/System
Source0:          http://www.openwall.com/john/f/%{name}-%{version}.tar.bz2
Source1:          http://www.openwall.com/john/f/%{name}-%{version}.tar.bz2.sign
Patch0:           %{name}-%{version}-jumbo-6.diff.gz
Source2:          http://www.openwall.com/john/f/%{PATCH0}.sign
Patch1:           %{name}-%{version}-%{release}-aix.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:    coreutils, patch
BuildRequires:    openssl-devel >= 0.9.8
Requires:         openssl >= 0.9.8

%description
John the Ripper is a fast password cracker. Its primary purpose is to
detect weak Unix passwords, but a number of other hash types are
supported as well.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1
%patch1
chmod 0644 doc/*
rm doc/INSTALL
sed -i 's#\$JOHN/john.conf#%{_sysconfdir}/john.conf#' src/params.h

cd src
# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
cd src
make aix-ppc64
mv ../run/john ../run/john_64
cat ../run/mailer | sed 's/john/john_64/g' > ../run/mailer_64
make clean
make aix-ppc32


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}
chmod 0755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}

cd run
cp john john_64 mailer mailer_64 ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
cp *.chr password.lst ${RPM_BUILD_ROOT}%{_datadir}/%{name}
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/*
cp john.conf ${RPM_BUILD_ROOT}%{_sysconfdir}
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/*

cd ${RPM_BUILD_ROOT}%{_bindir}
ln -s %{name} unafs
ln -s %{name}_64 unafs_64
ln -s %{name} unique
ln -s %{name}_64 unique_64
ln -s %{name} unshadow
ln -s %{name}_64 unshadow_64

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc doc/*
%config(noreplace) %{_sysconfdir}/john.conf
%{_bindir}/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Sun Jul 01 2012 Michael Perzl <michael@perzl.org> - 1.7.9-2
- updated to version 1.7.9 jumbo pack 6

* Sat Jan 28 2012 Michael Perzl <michael@perzl.org> - 1.7.9-1
- updated to version 1.7.9 jumbo pack 5

* Wed Nov 09 2011 Michael Perzl <michael@perzl.org> - 1.7.8-5
- updated to version 1.7.8 jumbo pack 8

* Wed Sep 21 2011 Michael Perzl <michael@perzl.org> - 1.7.8-4
- updated to version 1.7.8 jumbo pack 7

* Wed Aug 03 2011 Michael Perzl <michael@perzl.org> - 1.7.8-3
- updated to version 1.7.8 jumbo pack 5

* Sun Jul 24 2011 Michael Perzl <michael@perzl.org> - 1.7.8-2
- updated to version 1.7.8 jumbo pack 4

* Thu Jun 23 2011 Michael Perzl <michael@perzl.org> - 1.7.8-1
- updated to version 1.7.8 jumbo pack 2

* Thu Jun 09 2011 Michael Perzl <michael@perzl.org> - 1.7.7-3
- updated to version 1.7.7 jumbo pack 6

* Fri Jun 03 2011 Michael Perzl <michael@perzl.org> - 1.7.7-2
- updated to version 1.7.7 jumbo pack 5

* Thu Apr 28 2011 Michael Perzl <michael@perzl.org> - 1.7.7-1
- updated to version 1.7.7 jumbo pack 1

* Thu Feb 17 2011 Michael Perzl <michael@perzl.org> - 1.7.6-4
- updated to version 1.7.6 jumbo pack 12

* Tue Feb 08 2011 Michael Perzl <michael@perzl.org> - 1.7.6-3
- updated to version 1.7.6 jumbo pack 11

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.7.6-2
- updated to version 1.7.6 jumbo pack 9

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.7.6-1
- updated to version 1.7.6

* Fri Feb 26 2010 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Fri Feb 26 2010 Michael Perzl <michael@perzl.org> - 1.7.3.4-2
- updated to version 1.7.3.4 revision 3
- added a 64-bit version in addition to the default 32-bit version

* Mon Sep 21 2009 Michael Perzl <michael@perzl.org> - 1.7.3.4-1
- updated to version 1.7.3.4 revision 1

* Mon Aug 11 2008 Michael Perzl <michael@perzl.org> - 1.7.3.1-1
- updated to version 1.7.3.1

* Wed Jul 23 2008 Michael Perzl <michael@perzl.org> - 1.7.2-1
- first version for AIX V5.1 and higher
